
import "mod_dir"
import "mod_sys"
       
#include "../lib/translate.inc.prg"       
       
process mnu_main()
public
  int exit_code;
end
begin

end

process mnu_select_book( string bookdir, string *selected_file )
local
  wm_window wnd;
  stringlist lfiles;
  stringlist lnames;
  menu_selectbox box;
  int submenu, i;
  string fi;
  string args[10];
end
begin
   say("Select menu ("+bookdir+")");
 
  
  glob('.');
  
  args[0] = int_encoding;
  args[1] = bookdir; // what dir
  args[2] = "*.txt"; // what mask
  args[3] = bookdir+'/8shelf.index'; // where to
  exec( _P_WAIT, "../script/iconvls.sh", 4, &args[0]);
  
  list_create_fn( &lnames, bookdir+'/8shelf.index.names' );
  list_create_fn( &lfiles, bookdir+'/8shelf.index.files' );
  
/*  list_reduce(&lnames);
  list_reduce(&files);*/
  lnames.count--;
  
  box = menu_selectbox( &lnames, 20 );
    
  for( i = 0; i<lnames.count; i++ )
    if( bookdir + "/" + list_item( lfiles , i ) == *selected_file )
      box.selected = i;
      box.redraw = 1;
      break;
    end  
  end
  
  wnd = wm_window( box, WM_W_SELFPLACED );
  wnd.title= _("Book shelf");
  
  frame;
  
  wnd.x = 160 - wnd.ww/2;
  wnd.y = 120 - wnd.wh/2;

  loop
    frame;
    
    if( jkey( _JKEY_A ) || jkey( _JKEY_B ) )
      while( jkey( _JKEY_A ) || jkey( _JKEY_B ) ) frame; end;
      
      *selected_file = ( bookdir + "/" + list_item( lfiles , box.selected ) );
      return;
    end
    
  end
  
onexit
  signal(wnd, S_KILL);  
  list_free( &lfiles );
  list_free( &lnames );
end
